List addons for order item
List addons for order item
Required permissions: SALES_ORDER,RETURN_ORDER
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/addons
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+orderUidstringRequiredPattern:
Reference to an Order.
^[A-Za-z0-9-_]+orderItemUidstringRequiredPattern:
Reference to an order item on an order.
^[A-Za-z0-9-_]+Query parameters
productLinkTypestring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| INSURANCE | Insurance products allowed to be added to the product |
| ALTERNATIVE | Alternative products if the main product is not available |
| ACCESSORY | Accessory products for the main product |
| SPARE_PART | Spare part that can be used to repair the product |
| SERVICE | Service products. |
| FREIGHT_SERVICE | Freight service products. |
| AUTO_ADD | The products will be auto added to the order and can not be removed without removing the main product. |
Responses
200
Example response
application/json
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/addons
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/items/{orderItemUid}/addons HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"items": [
{
"productUid": "text",
"productLinkType": "INSURANCE",
"sku": "text",
"name": "text",
"orderItemReference": "text",
"price": 1,
"productType": "STOCK",
"serialNoRequired": "NO",
"allowSale": "YES",
"allowSaleDate": "2026-01-01T00:00:00.000Z",
"coverImage": {
"productMediaUid": "text",
"mainUrl": "text",
"thumbnailUrl": "text"
}
}
]
}Last updated
Was this helpful?

